package javax.swing;

import java.awt.Image;
import java.awt.image.ImageObserver;

class DebugGraphicsObserver implements ImageObserver
{
    int lastInfo;
    
    DebugGraphicsObserver() {
    }
    
    synchronized boolean allBitsPresent() {
        return (this.lastInfo & 0x20) != 0x0;
    }
    
    synchronized boolean imageHasProblem() {
        return (this.lastInfo & 0x40) != 0x0 || (this.lastInfo & 0x80) != 0x0;
    }
    
    @Override
    public synchronized boolean imageUpdate(Image image, int lastInfo, int n, int n2, int n3, int n4) {
        this.lastInfo = lastInfo;
        return true;
    }
}
